<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Gestructureerde gegevensvastlegging Coloscopie bevolkingsonderzoek darmkanker (2.16.840.1.113883.2.4.3.11.60.136.4.3217 2023-09-22T12:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include scenario label -->
   <let name="scenariolabel" value="'nsp-bc-mdl2022'"/>
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nsp-bc-mdl2022 -->

   <!-- nspbcmdl2021 -->
   <pattern>
      <title>nspbcmdl2021</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900836'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.1']]"
                 see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000.html">(nspbcmdl2021): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900836'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.100-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.201-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.202-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.203-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.204-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.207-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.208-2025-03-19T133039"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.307-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.310-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.311-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.312-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.313-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.320-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.322-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.323-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.328-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.329-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.330-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.331-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.332-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.333-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.334-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.338-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.341-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.342-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.343-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.344-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.345-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.346-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.347-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.370-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.372-2025-02-25T084914"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.380-2025-03-19T124015"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.381-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.382-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.502-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.503-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.504-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.507-2023-09-22T120000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621"/>
   </phase>
   <phase id="nspbcmdl2021">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000"/>
   </phase>
   <phase id="nspbcmdl2021-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.900836-2023-09-22T120000-closed"/>
   </phase>
   <phase id="CDAauthor">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.100-2023-09-22T120000"/>
   </phase>
   <phase id="SalutationSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.201-2023-09-22T120000"/>
   </phase>
   <phase id="ProcedureIndicationsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.202-2023-09-22T120000"/>
   </phase>
   <phase id="ProcedureDescriptionSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.203-2023-09-22T120000"/>
   </phase>
   <phase id="ProcedureFindingsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.204-2023-09-22T120000"/>
   </phase>
   <phase id="AssessmentSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000"/>
   </phase>
   <phase id="PlanOfCareSectiondd">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.207-2023-09-22T120000"/>
   </phase>
   <phase id="ConclusionColonoscopySection-20250319T133039">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.208-2025-03-19T133039"/>
   </phase>
   <phase id="Preparationcolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.307-2023-09-22T120000"/>
   </phase>
   <phase id="Bostonbowelpreparationscale">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.310-2023-09-22T120000"/>
   </phase>
   <phase id="Bostonbowelpreparationscalerightcolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.311-2023-09-22T120000"/>
   </phase>
   <phase id="Bostonbowelpreparationscaletransversecolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.312-2023-09-22T120000"/>
   </phase>
   <phase id="Bostonbowelpreparationscaleleftcolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.313-2023-09-22T120000"/>
   </phase>
   <phase id="Resultscolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.320-2023-09-22T120000"/>
   </phase>
   <phase id="CO2insufflation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.322-2023-09-22T120000"/>
   </phase>
   <phase id="Retractiontimecolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.323-2023-09-22T120000"/>
   </phase>
   <phase id="Gloucestercomfortscore">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.328-2023-09-22T120000"/>
   </phase>
   <phase id="Intubationofcoecum">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.329-2023-09-22T120000"/>
   </phase>
   <phase id="Maxlocationreached">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.330-2023-09-22T120000"/>
   </phase>
   <phase id="Rectalretroflexion">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.331-2023-09-22T120000"/>
   </phase>
   <phase id="Orderplacernumber">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.332-2023-09-22T120000"/>
   </phase>
   <phase id="SpecimencollectionMDL">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.333-2023-09-22T120000"/>
   </phase>
   <phase id="Redenafbrekingcoloscopie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.334-2023-09-22T120000"/>
   </phase>
   <phase id="Verslagidentificatiepathologie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.338-2023-09-22T120000"/>
   </phase>
   <phase id="Typeofpreparation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.341-2023-09-22T120000"/>
   </phase>
   <phase id="Proceduretimeout">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.342-2023-09-22T120000"/>
   </phase>
   <phase id="Reasoncecumnotreached">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.343-2023-09-22T120000"/>
   </phase>
   <phase id="Distancefromanalverge">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.344-2023-09-22T120000"/>
   </phase>
   <phase id="Totalnumberoflesions">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.345-2023-09-22T120000"/>
   </phase>
   <phase id="Lesionsnotobtained">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.346-2023-09-22T120000"/>
   </phase>
   <phase id="Reasonprocedurenotperformed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.347-2023-09-22T120000"/>
   </phase>
   <phase id="Patientcounseling">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.370-2023-09-22T120000"/>
   </phase>
   <phase id="Planoftreatmentdd-20250225T084914">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.372-2025-02-25T084914"/>
   </phase>
   <phase id="ConclusionColonoscopyEntry-20250319T124015">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.380-2025-03-19T124015"/>
   </phase>
   <phase id="AssertionColonoscopyEntry">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.381-2023-09-22T120000"/>
   </phase>
   <phase id="Indication">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.382-2023-09-22T120000"/>
   </phase>
   <phase id="Specimenclusterdd">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000"/>
   </phase>
   <phase id="Sedationmanagement">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.502-2023-09-22T120000"/>
   </phase>
   <phase id="Sedationrelaxationmedicationadministration">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.503-2023-09-22T120000"/>
   </phase>
   <phase id="Levelofconsciousness">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.504-2023-09-22T120000"/>
   </phase>
   <phase id="Administrationofsedative">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.507-2023-09-22T120000"/>
   </phase>
   <phase id="ConclusionColonoscopyEntry-20250319T124621">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- CDAauthor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.100-2023-09-22T120000.sch"/>
   <!-- SalutationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.201-2023-09-22T120000.sch"/>
   <!-- ProcedureIndicationsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.202-2023-09-22T120000.sch"/>
   <!-- ProcedureDescriptionSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.203-2023-09-22T120000.sch"/>
   <!-- ProcedureFindingsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.204-2023-09-22T120000.sch"/>
   <!-- AssessmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.sch"/>
   <!-- PlanOfCareSectiondd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.207-2023-09-22T120000.sch"/>
   <!-- ConclusionColonoscopySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.208-2025-03-19T133039.sch"/>
   <!-- Preparationcolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.307-2023-09-22T120000.sch"/>
   <!-- Bostonbowelpreparationscale -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.310-2023-09-22T120000.sch"/>
   <!-- Bostonbowelpreparationscalerightcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.311-2023-09-22T120000.sch"/>
   <!-- Bostonbowelpreparationscaletransversecolon -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.312-2023-09-22T120000.sch"/>
   <!-- Bostonbowelpreparationscaleleftcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.313-2023-09-22T120000.sch"/>
   <!-- Resultscolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.320-2023-09-22T120000.sch"/>
   <!-- CO2insufflation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.322-2023-09-22T120000.sch"/>
   <!-- Retractiontimecolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.323-2023-09-22T120000.sch"/>
   <!-- Gloucestercomfortscore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.328-2023-09-22T120000.sch"/>
   <!-- Intubationofcoecum -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.329-2023-09-22T120000.sch"/>
   <!-- Maxlocationreached -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.330-2023-09-22T120000.sch"/>
   <!-- Rectalretroflexion -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.331-2023-09-22T120000.sch"/>
   <!-- Orderplacernumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.332-2023-09-22T120000.sch"/>
   <!-- SpecimencollectionMDL -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.333-2023-09-22T120000.sch"/>
   <!-- Redenafbrekingcoloscopie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.334-2023-09-22T120000.sch"/>
   <!-- Verslagidentificatiepathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.338-2023-09-22T120000.sch"/>
   <!-- Typeofpreparation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.341-2023-09-22T120000.sch"/>
   <!-- Proceduretimeout -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.342-2023-09-22T120000.sch"/>
   <!-- Reasoncecumnotreached -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.343-2023-09-22T120000.sch"/>
   <!-- Distancefromanalverge -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.344-2023-09-22T120000.sch"/>
   <!-- Totalnumberoflesions -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.345-2023-09-22T120000.sch"/>
   <!-- Lesionsnotobtained -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.346-2023-09-22T120000.sch"/>
   <!-- Reasonprocedurenotperformed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.347-2023-09-22T120000.sch"/>
   <!-- Patientcounseling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.370-2023-09-22T120000.sch"/>
   <!-- Planoftreatmentdd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.372-2025-02-25T084914.sch"/>
   <!-- ConclusionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.380-2025-03-19T124015.sch"/>
   <!-- AssertionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.381-2023-09-22T120000.sch"/>
   <!-- Indication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.382-2023-09-22T120000.sch"/>
   <!-- Specimenclusterdd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.sch"/>
   <!-- Sedationmanagement -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.502-2023-09-22T120000.sch"/>
   <!-- Sedationrelaxationmedicationadministration -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.503-2023-09-22T120000.sch"/>
   <!-- Levelofconsciousness -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.504-2023-09-22T120000.sch"/>
   <!-- Administrationofsedative -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.507-2023-09-22T120000.sch"/>
   <!-- ConclusionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.sch"/>

</schema>
