<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Name: Assessment Section
Description: Assessment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000">
   <title>Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]
Item: (AssessmentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]
Item: (AssessmentSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]"
         id="d42e464-false-d1739e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(//lab:procedure[lab:code/@code='702389009'][@negationInd='false'])=0 or (count(//hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.136.10.338']])&gt;0)">(AssessmentSection):  Er moeten 1..* R T-nummers aanwezig zijn (tenplate 2.16.840.1.113883.2.4.3.11.60.136.10.338) indien er bij minimaal 1 laesie is aangegeven dat dit is ingezonden voor pathologie (template 2.16.840.1.113883.2.4.3.11.60.136.10.431)</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']) &gt;= 1">(AssessmentSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']) &lt;= 1">(AssessmentSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(AssessmentSection): element hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(AssessmentSection): element hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(AssessmentSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(AssessmentSection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(AssessmentSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(AssessmentSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]]) &gt;= 1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]]) &lt;= 1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]]) &gt;= 1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]]) &lt;= 1">(AssessmentSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']
Item: (AssessmentSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']"
         id="d42e466-false-d1858e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.136.10.205')">(AssessmentSection): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.136.10.205' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (AssessmentSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:code[(@code = '51848-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e471-false-d1873e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(AssessmentSection): de elementwaarde MOET een zijn van 'code '51848-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:title[not(@nullFlavor)]
Item: (AssessmentSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:title[not(@nullFlavor)]"
         id="d42e476-false-d1889e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="text()='Beoordeling'">(AssessmentSection): de elementinhoud van hl7:title[not(@nullFlavor)] MOET ''Beoordeling'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:text[not(@nullFlavor)]
Item: (AssessmentSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:text[not(@nullFlavor)]"
         id="d42e482-false-d1903e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]]
Item: (AssessmentSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.345']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(AssessmentSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]]
Item: (AssessmentSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.346']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(AssessmentSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]
Item: (AssessmentSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(AssessmentSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.332']]]
Item: (AssessmentSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.332']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(AssessmentSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.205
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.338']]]
Item: (AssessmentSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.205']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.338']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.205-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(AssessmentSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
