<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Name: Plan of treatment (dd)
Description: Template: Planoftreatment (dd)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000">
   <title>Plan of treatment (dd)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]
Item: (Planoftreatmentdd)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]"
         id="d42e2722-false-d8996e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@classCode) = ('PCPR')">(Planoftreatmentdd): de waarde van classCode MOET 'PCPR' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@moodCode) = ('INT')">(Planoftreatmentdd): de waarde van moodCode MOET 'INT' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']) &gt;= 1">(Planoftreatmentdd): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']) &lt;= 1">(Planoftreatmentdd): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Planoftreatmentdd): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Planoftreatmentdd): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:text) &lt;= 1">(Planoftreatmentdd): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Planoftreatmentdd): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]) &lt;= 1">(Planoftreatmentdd): element hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:entryRelationship[@typeCode = 'SPRT']) &lt;= 1">(Planoftreatmentdd): element hl7:entryRelationship[@typeCode = 'SPRT'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']"
         id="d42e2725-false-d9057e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.136.10.372')">(Planoftreatmentdd): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.136.10.372' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e2727-false-d9074e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Planoftreatmentdd): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.136.11.39 Vervolgbeleid (DYNAMISCH)'.</assert>
      <report fpi="CD-DEPR-BSP"
              role="warning"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@type='D'][@code = $theCode][@codeSystem = $theCodeSystem])">(Planoftreatmentdd): element hl7:code is gecodeerd met bindingssterkte 'required' en bevat een code die verouderd is.</report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:text
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:text"
         id="d42e2729-false-d9096e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Planoftreatmentdd): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Planoftreatmentdd): element hl7:reference[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e2730-false-d9115e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:effectiveTime
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:effectiveTime"
         id="d42e2731-false-d9125e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="(number(./hl7:width/@value) ge 1 and number(./hl7:width/@value) le 12) or number(./hl7:width/@value) eq 36">(Planoftreatmentdd): De periode vervolg surveillance/scopie mag alleen 1 t/m 12 of 36 maanden zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:width) &gt;= 1">(Planoftreatmentdd): element hl7:width is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:width) &lt;= 1">(Planoftreatmentdd): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:effectiveTime/hl7:width
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:effectiveTime/hl7:width"
         id="d42e2748-false-d9144e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Planoftreatmentdd): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Planoftreatmentdd): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@unit) = ('mo')">(Planoftreatmentdd): de waarde van unit MOET 'mo' zijn. Gevonden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]"
         id="d42e2752-false-d9162e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@typeCode) = ('PRF')">(Planoftreatmentdd): de waarde van typeCode MOET 'PRF' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]) &gt;= 1">(Planoftreatmentdd): element hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]) &lt;= 1">(Planoftreatmentdd): element hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]"
         id="d42e2754-false-d9182e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@classCode) = ('ASSIGNED')">(Planoftreatmentdd): de waarde van classCode MOET 'ASSIGNED' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Planoftreatmentdd): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(Planoftreatmentdd): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']) &gt;= 1">(Planoftreatmentdd): element hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']) &lt;= 1">(Planoftreatmentdd): element hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:id[not(@nullFlavor)]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:id[not(@nullFlavor)]"
         id="d42e2756-false-d9210e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']"
         id="d42e2757-false-d9220e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@classCode) = ('ORG')">(Planoftreatmentdd): de waarde van classCode MOET 'ORG' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@determinerCode) = ('INSTANCE')">(Planoftreatmentdd): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Planoftreatmentdd): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Planoftreatmentdd): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name[not(@nullFlavor)]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity[@classCode = 'ASSIGNED']]/hl7:assignedEntity[@classCode = 'ASSIGNED'][hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']]/hl7:representedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name[not(@nullFlavor)]"
         id="d42e2760-false-d9244e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']"
         id="d42e2775-false-d9254e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@typeCode) = ('SPRT')">(Planoftreatmentdd): de waarde van typeCode MOET 'SPRT' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Planoftreatmentdd): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]"
         id="d42e2789-false-d9275e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@classCode) = ('OBS')">(Planoftreatmentdd): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@moodCode) = ('EVN')">(Planoftreatmentdd): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]) &gt;= 1">(Planoftreatmentdd): element hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]) &lt;= 1">(Planoftreatmentdd): element hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Planoftreatmentdd): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Planoftreatmentdd): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:value) &gt;= 1">(Planoftreatmentdd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="count(hl7:value) &lt;= 1">(Planoftreatmentdd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]"
         id="d42e2792-false-d9318e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="@nullFlavor or (@code='TADRSKSC' and @codeSystem='2.16.840.1.113883.2.4.3.11.60.136.5.190' and @displayName='Total Adenoom risk score')">(Planoftreatmentdd): de elementwaarde MOET een zijn van 'code 'TADRSKSC' codeSystem '2.16.840.1.113883.2.4.3.11.60.136.5.190' displayName='Total Adenoom risk score''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:statusCode[@code = 'completed']
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:statusCode[@code = 'completed']"
         id="d42e2794-false-d9335e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="@nullFlavor or (@code='completed')">(Planoftreatmentdd): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.372
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:value
Item: (Planoftreatmentdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.372']]/hl7:entryRelationship[@typeCode = 'SPRT']/hl7:observation[hl7:code[(@code = 'TADRSKSC' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.136.5.190')]]/hl7:value"
         id="d42e2796-false-d9351e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Planoftreatmentdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Planoftreatmentdd): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Planoftreatmentdd): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.372-2023-09-22T120000.html"
              test="string(@unit) = ('{score}')">(Planoftreatmentdd): de waarde van unit MOET '{score}' zijn. Gevonden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
