<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Name: Specimen Cluster (dd)
Description: Template: Specimen Cluster (DD)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000">
   <title>Specimen Cluster (dd)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]
Item: (Specimenclusterdd)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]
Item: (Specimenclusterdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]"
         id="d42e3037-false-d10122e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="string(@classCode) = ('CLUSTER')">(Specimenclusterdd): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="string(@moodCode) = ('EVN')">(Specimenclusterdd): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']) &gt;= 1">(Specimenclusterdd): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']) &lt;= 1">(Specimenclusterdd): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Specimenclusterdd): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Specimenclusterdd): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']
Item: (Specimenclusterdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']"
         id="d42e3043-false-d10195e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Specimenclusterdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.136.10.383')">(Specimenclusterdd): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.136.10.383' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:statusCode[@code = 'completed']
Item: (Specimenclusterdd)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:statusCode[@code = 'completed']"
         id="d42e3048-false-d10210e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(Specimenclusterdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="@nullFlavor or (@code='completed')">(Specimenclusterdd): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.333']]]
Item: (Specimenclusterdd)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.333']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="string(@typeCode) = ('COMP')">(Specimenclusterdd): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="string(@contextConductionInd) = ('true')">(Specimenclusterdd): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:sequenceNumber[not(@nullFlavor)]) &gt;= 1">(Specimenclusterdd): element hl7:sequenceNumber[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="count(hl7:sequenceNumber[not(@nullFlavor)]) &lt;= 1">(Specimenclusterdd): element hl7:sequenceNumber[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.383
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.333']]]/hl7:sequenceNumber[not(@nullFlavor)]
Item: (Specimenclusterdd)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.383']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.333']]]/hl7:sequenceNumber[not(@nullFlavor)]">
      <extends rule="INT.POS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(Specimenclusterdd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.383-2023-09-22T120000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(Specimenclusterdd): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
